package it;
import java.awt.BorderLayout;
import java.awt.EventQueue;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.text.DateFormatter;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;


public class MainGUI extends JFrame {

	private JPanel contentPane;
	private JTextField textField;
	private JTextField textField_1;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					System.setProperty("apple.laf.useScreenMenuBar", "true");
			        System.setProperty(
			            "com.apple.mrj.application.apple.menu.about.name", "MsDate2Date");
					MainGUI frame = new MainGUI();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	public MainGUI() throws ClassNotFoundException, InstantiationException, IllegalAccessException, UnsupportedLookAndFeelException {
		
		super.setTitle("MsDate2Date");
		setResizable(false);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 263, 139);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(null);
		
		JButton btnConvert = new JButton("Convert");
		btnConvert.setBounds(78, 80, 117, 29);
		contentPane.add(btnConvert);
		btnConvert.addActionListener(new ActionListener() {			
			@Override
			public void actionPerformed(ActionEvent e) {
				if(!textField.getText().equals("")) {
					long date = 0;
					try {
						date = Long.parseLong(textField.getText());
						Date d = new Date(date);					
						SimpleDateFormat df = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss");					
						textField_1.setText(df.format(d));
					} catch(NumberFormatException e1) {
						textField_1.setText("Unknown data format");
						e1.printStackTrace();
					}
				} else if(!textField_1.equals("")) {
					SimpleDateFormat df = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss");
					try {
						Date d = df.parse(textField_1.getText());
						textField.setText(new Long(d.getTime()).toString());
					} catch (ParseException e1) {	
						textField.setText("Unknown data format");
						e1.printStackTrace();
					}
					
				}
			}
		});
		
		JLabel lblMsDate = new JLabel("Ms Date:");
		lblMsDate.setBounds(6, 12, 61, 16);
		contentPane.add(lblMsDate);
		
		textField = new JTextField();
		textField.setBounds(68, 6, 189, 28);
		contentPane.add(textField);
		textField.setColumns(10);
		
		JLabel lblDate = new JLabel("Date:");
		lblDate.setBounds(6, 46, 61, 16);
		contentPane.add(lblDate);
		
		textField_1 = new JTextField();
		textField_1.setColumns(10);
		textField_1.setBounds(68, 40, 189, 28);
		contentPane.add(textField_1);
	}
}
